Skip to main content
GET
https://api.aisa.one/apis/v1
/
coingecko
/
news
Crypto News
curl --request GET \
  --url https://api.aisa.one/apis/v1/coingecko/news \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "title": "Bitcoin hits new high",
      "url": "https://example.com/article",
      "published_at": 1713398400
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

coin_id
string

Filter news by CoinGecko coin ID.

language
string

Filter news by language.

type
enum<string>

Filter by article type.

Available options:
news,
guides
page
integer
default:1

Page through results.

per_page
integer
default:100

Total results per page.

Response

Array of news articles.

title
string
url
string
image
string
author
string
posted_at
string
type
string
source_name
string